[问题]安装 vbox 时候遇到的 问题

Kvm、VMware、Virtualbox、Xen、Qemu 等
回复
头像
song8575
帖子: 110
注册时间: 2006-05-13 18:33
送出感谢: 0
接收感谢: 0
联系:

[问题]安装 vbox 时候遇到的 问题

#1

帖子 song8575 » 2007-06-07 14:44

song@song-desktop:~/Desktop$ sudo dpkg -i virtualbox_1.4.0-21864_Ubuntu_feisty_i386.deb
选中了曾被取消选择的软件包 virtualbox。
(正在读取数据库 ... 系统当前总共安装有 129513 个文件和目录。)
正在解压缩 virtualbox (从 virtualbox_1.4.0-21864_Ubuntu_feisty_i386.deb) ...
dpkg:依赖关系问题使得 virtualbox 的配置工作不能继续:
virtualbox 依赖于 libxalan110;然而:
未曾安装软件包“libxalan110”。
virtualbox 依赖于 libxerces27;然而:
未曾安装软件包“libxerces27”。
dpkg:处理 virtualbox (--install)时出错:
依赖关系问题 - 仍未被配置
在处理时有错误发生:
virtualbox
song@song-desktop:~/Desktop$ sudo apt-get install libxerces27
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
读取状态信息... 完成
您可能需要运行“apt-get -f install”来纠正下列错误:
下列的软件包有不能满足的依赖关系:
virtualbox: 依赖: libxalan110 但是它将不会被安装
E: 有未能满足的依赖关系。请尝试不指明软件包的名字来运行“apt-get -f install”(也可以指定一个解决办法)。
song@song-desktop:~/Desktop$ sudo apt-get install libxalan110
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
读取状态信息... 完成
您可能需要运行“apt-get -f install”来纠正下列错误:
下列的软件包有不能满足的依赖关系:
libxalan110: 依赖: libxerces27 但是它将不会被安装
virtualbox: 依赖: libxerces27 但是它将不会被安装
E: 有未能满足的依赖关系。请尝试不指明软件包的名字来运行“apt-get -f install”(也可以指定一个解决办法)。
我在官方网站下载的 请教
老农民
帖子: 183
注册时间: 2006-12-22 20:44
送出感谢: 0
接收感谢: 0

#2

帖子 老农民 » 2007-06-07 15:19

压死骆驼的最后一根稻草
sudo apt-get install libxalan110 libxerces27
回复

回到 “虚拟机和虚拟化”